# $Revision: 1.95 $, $Date: 2012/06/29 18:20:13 $
%define	libdrm_ver	2.4.36
Summary:	X.org video drivers for ATI Radeon adapters
Summary(pl.UTF-8):	Sterowniki obrazu X.org do kart graficznych ATI Radeon
Name:		xorg-driver-video-ati
Version:	6.14.6
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/driver/xf86-video-ati-%{version}.tar.bz2
# Source0-md5:	3e945273edd3b8beb96bd40f7929d450
URL:		http://xorg.freedesktop.org/
BuildRequires:	Mesa-libGL-devel
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libdrm-devel >= %{libdrm_ver}
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	udev-devel
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86driproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.6.2
%{?requires_xorg_xserver_videodrv}
Requires:	libdrm >= %{libdrm_ver}
Requires:	xorg-xserver-libdri >= 1.6.2
Requires:	xorg-xserver-libglx >= 1.6.2
Requires:	xorg-xserver-server >= 1.6.2
Provides:	xorg-driver-video
Obsoletes:	X11-driver-ati < 1:7.0.0
Obsoletes:	X11-driver-radeon < 1:7.0.0
Obsoletes:	XFree86-ATI
Obsoletes:	XFree86-driver-ati < 1:7.0.0
Obsoletes:	XFree86-driver-radeon < 1:7.0.0
Conflicts:	vbetool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains X.org drivers for ATI video adapters:
- "ati" wrapper driver, which automatically loads proper driver
  depending on hardware: radeon (included in this package),
  r128 (included in xorg-driver-video-r128 package), mach64
  (included in xorg-driver-video-mach64 package);
- "radeon" driver for ATI Radeon adapters.
The "radeon" driver supports PCI and AGP video cards based on the
following ATI chips:
- R100 (Radeon 7200),
- RV100 (Radeon 7000(VE), M6, RN50/ES1000),
- RS100 (Radeon IGP320(M)),
- RV200 (Radeon 7500, M7, FireGL 7800),
- RS200 (Radeon IGP330(M)/IGP340(M)),
- RS250 (Radeon Mobility 7000 IGP),
- R200 (Radeon 8500, 9100, FireGL 8800/8700),
- RV250 (Radeon 9000PRO/9000, M9),
- RV280 (Radeon 9200PRO/9200/9200SE/9250, M9+),
- RS300 (Radeon 9100 IGP),
- RS350 (Radeon 9200 IGP),
- RS400/RS480 (Radeon XPRESS 200/200M/1100 IGP),
- R300 (Radeon 9700PRO/9700/9500PRO/9500/9600TX, FireGL X1/Z1),
- R350 (Radeon 9800PRO/9800SE/9800, FireGL X2),
- R360 (Radeon 9800XT),
- RV350 (Radeon 9600PRO/9600SE/9600/9550, M10/M11, FireGL T2),
- RV360 (Radeon 9600XT),
- RV370 (Radeon X300, M22),
- RV380 (Radeon X600, M24),
- RV410 (Radeon X700, M26 PCIE),
- R420 (Radeon X800 AGP),
- R423/R430 (Radeon X800, M28 PCIE),
- R480/R481 (Radeon X850 PCIE/AGP),
- RV505/RV515/RV516/RV550 (Radeon X1300/X1400/X1500/X2300),
- R520 (Radeon X1800),
- RV530/RV560 (Radeon X1600/X1650/X1700),
- RV570/R580 (Radeon X1900/X1950),
- RS600/RS690/RS740 (Radeon X1200/X1250/X2100),
- R600 (Radeon HD 2900),
- RV610/RV630 (Radeon HD 2400/2600/2700/4200/4225/4250),
- RV620/RV635 (Radeon HD 3410/3430/3450/3470/3650/3670),
- RV670 (Radeon HD 3850/3870),
- RS780/RS880 (Radeon HD 3100/3200/3300/4100/4200/4250/4290),
- RV710/RV730 (Radeon HD 4330/4350/4550/4650/4670/5145/5165/530v/545v/560v/565v),
- RV740/RV770/RV790 (Radeon HD 4770/4730/4830/4850/4860/4870/4890),
- CEDAR (Radeon HD 5430/5450/6330/6350/6370),
- REDWOOD (Radeon HD 5550/5570/5650/5670/5730/5750/5770/6530/6550/6570),
- JUNIPER (Radeon HD 5750/5770/5830/5850/5870/6750/6770/6830/6850/6870),
- CYPRESS (Radeon HD 5850/5850/5870),
- HEMLOCK (Radeon HD 5970),
- PALM (Radeon HD 6310/6250),
- SUMO/SUMO2 (Radeon HD 6370/6380/6410/6480/6520/6530/6550/6620),
- BARTS (Radeon HD 6790/6850/6870/6950/6970/6990),
- TURKS (Radeon HD 6570/6630/6650/6670/6730/6750/6770),
- CAICOS (Radeon HD 6430/6450/6470/6490),
- CAYMAN (Radeon HD 6950/6970/6990),
- ARUBA.

%description -l pl.UTF-8
Ten pakiet zawiera sterowniki obrazu X.org do kart graficznych ATI:
- sterownik obudowujący "ati", który automatycznie wczytuje właściwy
  sterownik w zależności od sprzętu: radeon (załączony w tym
  pakiecie), r128 (z pakietu xorg-driver-video-r128), mach64 (z
  pakietu xorg-driver-video-mach64);
- sterownik "radeon" do kart ATI Radeon.
Sterownik "radeon" obsługuje karty graficzne PCI i AGP oparte na
następujących układach ATI:
- R100 (Radeon 7200),
- RV100 (Radeon 7000(VE), M6, RN50/ES1000),
- RS100 (Radeon IGP320(M)),
- RV200 (Radeon 7500, M7, FireGL 7800),
- RS200 (Radeon IGP330(M)/IGP340(M)),
- RS250 (Radeon Mobility 7000 IGP),
- R200 (Radeon 8500, 9100, FireGL 8800/8700),
- RV250 (Radeon 9000PRO/9000, M9),
- RV280 (Radeon 9200PRO/9200/9200SE/9250, M9+),
- RS300 (Radeon 9100 IGP),
- RS350 (Radeon 9200 IGP),
- RS400/RS480 (Radeon XPRESS 200/200M/1100 IGP),
- R300 (Radeon 9700PRO/9700/9500PRO/9500/9600TX, FireGL X1/Z1),
- R350 (Radeon 9800PRO/9800SE/9800, FireGL X2),
- R360 (Radeon 9800XT),
- RV350 (Radeon 9600PRO/9600SE/9600/9550, M10/M11, FireGL T2),
- RV360 (Radeon 9600XT),
- RV370 (Radeon X300, M22),
- RV380 (Radeon X600, M24),
- RV410 (Radeon X700, M26 PCIE),
- R420 (Radeon X800 AGP),
- R423/R430 (Radeon X800, M28 PCIE),
- R480/R481 (Radeon X850 PCIE/AGP),
- RV505/RV515/RV516/RV550 (Radeon X1300/X1400/X1500/X2300),
- R520 (Radeon X1800),
- RV530/RV560 (Radeon X1600/X1650/X1700),
- RV570/R580 (Radeon X1900/X1950),
- RS600/RS690/RS740 (Radeon X1200/X1250/X2100),
- R600 (Radeon HD 2900),
- RV610/RV630 (Radeon HD 2400/2600/2700/4200/4225/4250),
- RV620/RV635 (Radeon HD 3410/3430/3450/3470/3650/3670),
- RV670 (Radeon HD 3850/3870),
- RS780/RS880 (Radeon HD 3100/3200/3300/4100/4200/4250/4290),
- RV710/RV730 (Radeon HD 4330/4350/4550/4650/4670/5145/5165/530v/545v/560v/565v),
- RV740/RV770/RV790 (Radeon HD 4770/4730/4830/4850/4860/4870/4890),
- CEDAR (Radeon HD 5430/5450/6330/6350/6370),
- REDWOOD (Radeon HD 5550/5570/5650/5670/5730/5750/5770/6530/6550/6570),
- JUNIPER (Radeon HD 5750/5770/5830/5850/5870/6750/6770/6830/6850/6870),
- CYPRESS (Radeon HD 5850/5850/5870),
- HEMLOCK (Radeon HD 5970),
- PALM (Radeon HD 6310/6250),
- SUMO/SUMO2 (Radeon HD 6370/6380/6410/6480/6520/6530/6550/6620),
- BARTS (Radeon HD 6790/6850/6870/6950/6970/6990),
- TURKS (Radeon HD 6570/6630/6650/6670/6730/6750/6770),
- CAICOS (Radeon HD 6430/6450/6470/6490),
- CAYMAN (Radeon HD 6950/6970/6990),
- ARUBA.

%prep
%setup -q -n xf86-video-ati-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/ati_drv.so
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/radeon_drv.so
%attr(755,root,root) %{_libdir}/xorg/modules/multimedia/theatre200_drv.so
%attr(755,root,root) %{_libdir}/xorg/modules/multimedia/theatre_detect_drv.so
%attr(755,root,root) %{_libdir}/xorg/modules/multimedia/theatre_drv.so
%{_mandir}/man4/ati.4*
%{_mandir}/man4/radeon.4*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-driver-video-ati.spec,v $
Revision 1.95  2012/06/29 18:20:13  arekm
- rel 2; rebuild with fixed libdrm define

Revision 1.94  2012/06/29 16:37:06  qboosh
- typo

Revision 1.93  2012/06/29 16:21:30  arekm
- up to 6.14.6

Revision 1.92  2012/06/07 15:43:32  arekm
- up to 6.14.5

Revision 1.91  2012/06/02 10:57:14  arekm
- release 2

Revision 1.90  2012/03/29 18:56:20  qboosh
- updated description (mention ati wrapper)

Revision 1.89  2012/03/29 04:54:52  arekm
- up to 6.14.4

Revision 1.88  2012/03/05 12:01:15  wiget
- patches for xorg-xserver 1.12.0
- rel. 3

Revision 1.87  2012/03/05 06:25:55  arekm
- release 2

Revision 1.86  2011/11/02 17:57:45  qboosh
- updated hardware list

Revision 1.85  2011/11/02 12:23:34  arekm
- up to 6.14.3

Revision 1.84  2011/08/27 09:01:22  arekm
- release 4

Revision 1.83  2011/08/25 20:18:27  glen
- xorg-driver-video virtual for video drivers
- release 3

Revision 1.82  2011/06/13 13:22:34  arekm
- rel 2; C: vbetool (it causes very nasty things for KMS drivers)

Revision 1.81  2011/05/26 19:51:42  qboosh
- updated hardware list

Revision 1.80  2011/05/26 06:13:08  arekm
- up to 6.14.2

Revision 1.79  2011/03/18 07:55:45  arekm
- up to 6.14.1

Revision 1.78  2011/03/04 19:33:50  arekm
- release 3

Revision 1.77  2011/03/03 12:41:32  witekfl
- added patch from Gentoo with compilation fix
- rel still 2

Revision 1.76  2011/02/27 08:32:20  arekm
- release 2

Revision 1.75  2011/02/04 16:47:18  qboosh
- updated BRs and hardware list

Revision 1.74  2011/02/04 07:00:56  arekm
- up to 6.14

Revision 1.73  2010/11/11 10:24:35  arekm
- release 3

Revision 1.72  2010/11/10 19:11:32  shadzik
- rel up

Revision 1.71  2010/09/28 06:17:25  arekm
- up to 6.13.2

Revision 1.70  2010/08/29 08:56:38  qboosh
- added ChangeLog and README to docs
- updated deps and hardware list

Revision 1.69  2010/08/21 07:26:04  arekm
- release 2

Revision 1.68  2010/07/09 09:30:15  august84
- up to 6.13.1

Revision 1.67  2010/04/05 17:35:56  arekm
- up to 6.13.0

Revision 1.66  2010/04/02 08:27:11  arekm
- release 2

Revision 1.65  2010/03/15 18:37:18  arekm
- up to 6.12.192

Revision 1.64  2010/03/03 07:57:14  arekm
- up to 6.12.191 with KMS/DRI2 support

Revision 1.63  2010/03/03 07:47:42  arekm
- up to 6.12.5

Revision 1.62  2009/10/02 08:27:34  arekm
- release 2

Revision 1.61  2009/09/11 06:22:07  arekm
- up to 6.12.4

Revision 1.60  2009/09/10 18:40:27  arekm
- up to 6.12.3

Revision 1.59  2009/04/23 19:44:24  lisu
- missing BR: xorg-proto-glproto-devel

Revision 1.58  2009/04/08 16:40:36  arekm
- up to 6.12.2

Revision 1.57  2009/03/19 06:10:14  arekm
- up to 0.12.1

Revision 1.56  2009/03/14 10:09:03  arekm
- up to 6.12.0

Revision 1.55  2009/02/25 21:04:32  arekm
- release 2

Revision 1.54  2009/02/19 06:11:49  arekm
- up to 6.11.0

Revision 1.53  2009/01/07 00:55:13  adamg
- updated to 6.10.0

Revision 1.52  2008/12/27 09:20:07  qboosh
- R: xorg libdri,libglx

Revision 1.51  2008/08/30 16:33:03  arekm
- release 4

Revision 1.50  2008/07/09 18:04:24  qboosh
- updated hw list

Revision 1.49  2008/07/01 16:06:51  arekm
- release 3

Revision 1.48  2008/07/01 12:05:57  arekm
- release 2

Revision 1.47  2008/06/27 05:20:52  arekm
- up to 6.9.0

Revision 1.46  2008/06/25 05:11:51  arekm
- up to 6.8.192

Revision 1.45  2008/06/18 19:07:25  qboosh
- updated adapter lists

Revision 1.44  2008/06/18 18:57:45  qboosh
- desc cosmetics

Revision 1.43  2008/06/12 19:58:49  arekm
- up to 6.8.191; r128 and mach64 drivers separated

Revision 1.42  2008-04-14 21:31:33  glen
- adapter

Revision 1.41  2008-02-20 07:29:51  arekm
- rel 2; fix DCC types 5 and 6

Revision 1.40  2008-02-19 06:37:11  arekm
- up to 6.8.0

Revision 1.39  2007-12-21 07:32:00  arekm
- rel 2; fix xf86_crtc_clip_video_helper, xf86ModeBandwidth detection

Revision 1.38  2007-12-20 23:28:34  arekm
- up to 6.7.197

Revision 1.37  2007-11-12 06:30:47  arekm
- up to 6.7.196

Revision 1.36  2007/10/06 10:11:30  arekm
- rel 2; handle ddc6 type (by airlied)

Revision 1.35  2007/10/06 00:35:28  arekm
- up to 6.7.195

Revision 1.34  2007/09/24 07:40:37  arekm
- up to 6.7.194

Revision 1.33  2007/09/20 08:37:29  arekm
- up to 6.7.193

Revision 1.32  2007/09/09 10:40:10  wrobell
- added few fixes from git trunk
- tv output is supported by default, tv output patch removed
- rel. 3

Revision 1.31  2007/09/06 19:45:55  arekm
- rebuilding for new xserver

Revision 1.30  2007/09/06 16:22:52  arekm
- track xserver videodrv deps

Revision 1.29  2007/08/26 23:08:30  arekm
- up to 6.7.192

Revision 1.28  2007/08/23 06:47:08  arekm
- drop pixman

Revision 1.27  2007/08/23 06:22:34  arekm
- up to 6.7.191

Revision 1.26  2007/08/04 09:17:45  arekm
- up to 6.6.193

Revision 1.25  2007/05/22 19:32:44  wrobell
- ver. 6.6.192

Revision 1.24  2007/04/30 20:05:12  qboosh
- Obsoletes for XFree86/X11 drivers

Revision 1.23  2007/03/27 07:38:52  arekm
- relax xserver R; it works with older versions, too

Revision 1.22  2007/03/27 07:29:41  arekm
- up to 6.6.191

Revision 1.21  2007/03/20 02:10:52  sls
- let release suffix will be bcond dependend

Revision 1.20  2007/03/20 01:54:33  sls
- ... and package tv_output related stuff

Revision 1.19  2007/03/20 01:42:55  sls
- added exprimental support for tv output (bcond, patch)

Revision 1.18  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.17  2007/02/12 01:06:39  baggins
- converted to UTF-8

Revision 1.16  2007/01/06 22:47:46  arekm
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

Revision 1.15  2006/10/04 06:24:44  arekm
- up to 6.6.3

Revision 1.14  2006/08/25 05:56:19  arekm
- up to 6.6.2

Revision 1.13  2006/06/16 07:02:03  arekm
- updated to 6.6.1

Revision 1.12  2006/04/11 09:15:30  qboosh
- updated xserver deps (EXA 2.0 needs 1.0.99.*)

Revision 1.11  2006/04/10 20:34:02  freetz
- 6.6.0

Revision 1.10  2006/03/09 01:42:28  patrys
- O: X11-driver-ati

Revision 1.9  2006/01/06 13:57:33  qboosh
- 6.5.7.3 (X11R7.0 release)

Revision 1.8  2005/12/07 13:42:58  qboosh
- 6.5.7.1 (X11R7.0-RC3)

Revision 1.7  2005/11/20 14:02:03  qboosh
- 6.5.7 (X11R7.0-RC2)

Revision 1.6  2005/10/29 16:57:37  qboosh
- more about ati driver (from README.ati)

Revision 1.5  2005/10/29 16:32:47  qboosh
- more verbose descs

Revision 1.4  2005/10/23 19:26:29  qboosh
- --disable-static instead of creating and removing *.a

Revision 1.3  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.2  2005/10/21 18:43:54  qboosh
- more BRs, libtoolize, fixed drivermandir

Revision 1.1  2005/10/20 22:18:13  jpc
- basic drivers for modular X.org
